Skip to content
ShaireDevelopers

page-templates

4 endpoints.

get/api/page-templates#

Request
curl https://api.shairelabs.com/api/page-templates \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 200 · PageTemplate[]

idstring · uuid*
workspaceIdstring · uuid*
namestring*
iconstring | null*
titlestring*
contentobject | null*
further keys allowed
typestring*
doc
contentunknown[]
createdAtstring*
updatedAtstring*

Also answers 401 and 403. SeeErrors.

post/api/page-templates#

Body

namestring*
min length 1 · max length 120
iconstring | null
min length 1 · max length 32
titlestring*
min length 1 · max length 200
contentobject | null
further keys allowed
typestring*
doc
contentunknown[]
Request
curl https://api.shairelabs.com/api/page-templates \
  -X POST \
  -H "Authorization: Bearer $SHAIRE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"example","title":"example"}'

Response · 201 · PageTemplate

idstring · uuid*
workspaceIdstring · uuid*
namestring*
iconstring | null*
titlestring*
contentobject | null*
further keys allowed
typestring*
doc
contentunknown[]
createdAtstring*
updatedAtstring*

Also answers 401 and 403. SeeErrors.

patch/api/page-templates/{id}#

Path

idstring*

Body

namestring
min length 1 · max length 120
iconstring | null
min length 1 · max length 32
titlestring
min length 1 · max length 200
contentobject | null
further keys allowed
typestring*
doc
contentunknown[]
Request
curl https://api.shairelabs.com/api/page-templates/$PAGE_TEMPLATE_ID \
  -X PATCH \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 200 · PageTemplate

idstring · uuid*
workspaceIdstring · uuid*
namestring*
iconstring | null*
titlestring*
contentobject | null*
further keys allowed
typestring*
doc
contentunknown[]
createdAtstring*
updatedAtstring*

Also answers 401 and 403. SeeErrors.

delete/api/page-templates/{id}#

Path

idstring*
Request
curl https://api.shairelabs.com/api/page-templates/$PAGE_TEMPLATE_ID \
  -X DELETE \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 204

Also answers 401 and 403. SeeErrors.